v6.0 not compatible with Firefox v12 Rated 5 out of 5 stars

I love Aeon Clouds--I've happily used it for years. Pleasant colors, easy on the eyes.

I have Firefox 12.0, which TOLD me there was an update to Aeon Clouds. So I updated from version 5.0 to version 6.0, but it is NOT COMPATIBLE with Firefox 12, so I lost the theme. Finally I realized I could just reinstall Aeon Clouds 5.0, and now I'm back to a nice theme with pretty colors, not that horrid grey default monstrosity.

Moral of the story: don't ever update a theme or add-on you love just because Firefox tells you an update is available, because it stupidly doesn't bother to check first if it's compatible.

This review is for a previous version of the add-on (6). 

Great advice for all of us

Sandlerf has great advice for all of us: we should check out the updates for compatibility before we apply them.

The Aeon and Scribblies themes, along with Halloween, were updated for Firefox 14 to version 6. If you have a version 5 it is only compatible with Firefox versions 5-13.

That said, Mozilla Add-ons has a Bugzilla for bugs like this. Users of any Firefox version like sandlerf should not be offered incompatible versions of their Add-ons.